* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input,
select,
textarea {
  font-family: "Balthazar", serif;
}

body {
  background-color: #efa9a9;
}

header {
  background-color: bisque;
  height: 2rem;
  position: sticky;
  top: 0;
  z-index: 100;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

header #navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 0 2rem;
  max-width: 75rem;
  margin: 0 auto;
  height: 2rem;
}

header #navbar .nav-brand {
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: 700;
  color: #333;
}

header #navbar .nav-list {
  list-style: none;

  display: flex;
  align-items: center;
  gap: 2rem;
}

header #navbar .nav-list .nav-item a {
  text-decoration: none;
  color: #333;
  font-size: 20px;
  font-weight: 500;
}
header #navbar .nav-list .nav-item a:hover {
  color: #777;
  transition: color 0.3s;
}

/* Section Banner */
main {
  margin-top: 6rem;
}

main #banner {
  display: flex;
  justify-content: space-between;

  max-width: 75rem;
  padding: 2rem;
  margin: 0 auto;
}

main #banner .banner-content .banner-content-title {
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 2.5rem;
  margin-bottom: 2rem;
}

main #banner .banner-content .banner-content-subtitle {
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 24px;
  max-width: 36rem;
  margin-bottom: 3rem;
}

.banner-content-btn {
  background-color: salmon;
  color: white;
  font-size: 20px;
  font-weight: 500;
  border-radius: 2px;
  padding: 8px 24px;
  border: none;
  cursor: pointer;
}
.banner-content-btn:hover {
  background-color: black;
  transition: background-color 0.3s;
}

main #banner .banner-image {
  border-radius: 50%;
  width: 100%;
  max-width: 18.5rem;
}

@media (max-width: 920px) {
  main #banner {
    flex-direction: column-reverse;
    align-items: center;
    gap: 1.5rem;
  }
  main #banner .banner-content {
    text-align: center;
  }
}

@media (max-width: 420px) {
  header #navbar .nav-brand {
    display: none;
  }
  header #navbar .nav-list {
    gap: 0.8rem;
  }
  header #navbar .nav-list .nav-item a {
    font-size: 15px;
  }
}

/* Section Posts */
section#resumo-pro {
  margin-top: 4rem;
  background-color: bisque;
  padding: 0 2rem;
  max-width: 75rem;
  margin: 0 auto;
  border-radius: 10px;
}

.posts-content {
  padding: 0 2rem;
  max-width: 75rem;
  margin: 0 auto;
}

.posts-content .posts-content-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 0;
}

.posts-content .posts-content-header .section-title {
  font-size: 1.5rem;
  font-weight: 500;
}

.posts-content .posts-cards {
  display: flex;
  gap: 2rem;
  margin-bottom: 1.5rem;
}

.posts-content .posts-cards .post-card {
  background-color: white;
  border-radius: 10px;
  padding: 1rem;
  flex: 1;
  margin-bottom: 1.3rem;
}

h2 {
  font-size: large;
  font-weight: 700;
}

h3 {
  font-size: 1.4rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

.posts-content .posts-cards .post-card span {
  font-size: 1.3rem;
  font-weight: 400;
  margin-bottom: 1rem;
  display: block;
}

.posts-content .posts-cards .post-card p {
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.4rem;
  padding: 0.5rem;
}
li {
  font-size: 1.2rem;
  font-weight: 400;
  line-height: 1.4rem;
  margin-left: 1rem;
}

.img-carrinho {
  height: 10rem;
  width: 10rem;
  margin-left: 4rem;
}
@media (max-width: 740px) {
  .img-carrinho {
    margin-left: 2rem;
  }
}

@media (max-width: 740px) {
  .posts-content .posts-cards {
    flex-direction: column;
  }
}

/* Section Projetos */
section#projetos {
  margin-top: 4rem;
  background-color: rgba(108, 167, 226, 0.585);
  padding: 0 2rem;
  max-width: 75rem;
  margin: 0 auto;
  border-radius: 10px;
}

/* Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 10% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 400px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}
.close:hover {
  color: black;
}
